CREATE PROCEDURE [dbo].[spGetCommentPageCommentEntriesAll]
AS
BEGIN
	SELECT     
	tblCommentEntries.commententry_id, 
	tblCommentEntries.commententry_comment, 
	tblCommentEntries.commententry_username,
	tblUserProfile.profile_avatar,
	tblCommentEntries.commententry_dateTime,
	tblCommentEntries.commententry_pageID
	FROM         
	tblCommentEntries 
	INNER JOIN
	tblUserProfile ON 
	tblCommentEntries.commententry_username = tblUserProfile.profile_username
    ORDER BY 
		tblCommentEntries.commententry_posting_page,
		tblCommentEntries.commententry_dateTime DESC	
END